> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# addEmployeeBenefits

> 
The `addEmployeeBenefits` API enrolls an employee in company benefit plans.

### What it does:

- Enrolls employees in existing company benefit plans
- Sets employee deduction amounts and company contribution amounts per pay period
- Establishes benefit enrollment with effective dates

### Supported Benefits:

- Medical
- Dental
- Vision

### Note:

- Benefits must be added using `addCompanyBenefits` before employees can enroll



## OpenAPI

````yaml post /benefits/addEmployeeBenefits
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /benefits/addEmployeeBenefits:
    post:
      tags: []
      summary: addEmployeeBenefits
      description: >-

        The `addEmployeeBenefits` API enrolls an employee in company benefit
        plans.


        ### What it does:


        - Enrolls employees in existing company benefit plans

        - Sets employee deduction amounts and company contribution amounts per
        pay period

        - Establishes benefit enrollment with effective dates


        ### Supported Benefits:


        - Medical

        - Dental

        - Vision


        ### Note:


        - Benefits must be added using `addCompanyBenefits` before employees can
        enroll
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: addUserBankAccount
                  default: addUserBankAccount
                  example: addUserBankAccount
                benefitEmployeeElection:
                  type: object
                  properties:
                    companyId:
                      type: string
                      format: uuid
                    benefitType:
                      type: string
                      maxLength: 40
                    effectiveMonth:
                      type: string
                      maxLength: 25
                    companyContributionAmountPerPayPeriod:
                      type: number
                      title: Max allowed is 100 %
                    employeeDeductionAmountPerPayPeriod:
                      type: number
                  required:
                    - companyId
                    - benefitType
                    - effectiveMonth
                    - companyContributionAmountPerPayPeriod
                    - employeeDeductionAmountPerPayPeriod
              required:
                - method
                - benefitEmployeeElection
            example:
              method: addEmployeeBenefits
              benefitEmployeeElection:
                userId: C0378C3F-0B62-491D-9CD9-1B4CE347D8F1
                benefitType: Medical
                effectiveMonth: December 2024
                companyContributionAmountPerPayPeriod: 55
                employeeDeductionAmountPerPayPeriod: 25
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  Benefits:
                    type: object
                    properties:
                      status:
                        type: string
                      message:
                        type: string
                      benefitType:
                        type: string
                    required:
                      - status
                      - benefitType
                    x--orders:
                      - CompanyFundingSourceEntityID
                      - Status
                      - Message
                required:
                  - Benefits
                x--orders:
                  - CompanyFundingSourceEntity
              examples:
                '1':
                  summary: Success
                  value:
                    Benefits:
                      status: Ready
                      message: The Benefits for Medical has been saved successfully.
                      benefitType: Medical
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: Invalid userId
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid userId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````